# models/profile_view_model.py

from sqlalchemy import Column, Integer, ForeignKey, DateTime, func
from database import Base

class ProfileView(Base):
    __tablename__ = "profile_views"

    id = Column(Integer, primary_key=True, index=True)
    recruiter_id = Column(Integer, ForeignKey("users.id"))  # FK to users table
    user_id = Column(Integer, ForeignKey("users.id"))        # FK to users table
    viewed_at = Column(DateTime, default=func.now())
